package shop.alien.second.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.context.annotation.Lazy;
import shop.alien.entity.second.SecondTradeRecord;
import shop.alien.entity.second.vo.SecondTradeRecordVo;

import java.util.Date;
import java.util.List;

public interface PlatformSecondTradeService extends IService<SecondTradeRecord> {

    IPage<SecondTradeRecordVo> getTradeRecordPage(SecondTradeRecordVo vo) throws Exception;

    List<SecondTradeRecordVo> getTradeRecordList(Integer userId, String beginTime, String endTime) throws Exception;

    SecondTradeRecordVo getTradeRecordById(Integer id) throws Exception;

    List<JSONObject> getOperationJsonList(Integer tradeId) throws Exception;

    List<JSONObject> getRankingList(String beginTime, String endTime) throws Exception;

    void setTradeFailure(Integer tradeId, String failureReason) throws Exception;

    List<SecondTradeRecordVo> getTradeRecordListByRiskId(Integer id) throws Exception;

    void bannedAccountCancelTrade(Integer userId) throws Exception;
}
